Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -1827,8 +1781,7 @@
              ENDDO
 !
-!--          Set particle radius to equilibrium radius based on the environmental
-!--          supersaturation (Khvorostyanov and Curry, 2007, JGR). This avoids
-!--          the sometimes lengthy growth toward their equilibrium radius within
-!--          the simulation.
+!--          Set particle radius to equilibrium radius based on the environmental supersaturation
+!--          (Khvorostyanov and Curry, 2007, JGR). This avoids the sometimes lengthy growth toward
+!--          their equilibrium radius within the simulation.
              t_int  = pt(kp,jp,ip) * exner(kp)
 
@@ -1839,9 +1792,9 @@
              afactor = 2.0_wp * sigma / ( rho_l * r_v * t_int )
 
-             bfactor = vanthoff * molecular_weight_of_water *    &
+             bfactor = vanthoff * molecular_weight_of_water *                                      &
                        rho_s / ( molecular_weight_of_solute * rho_l )
 !
-!--          The formula is only valid for subsaturated environments. For
-!--          supersaturations higher than -5 %, the supersaturation is set to -5%.
+!--          The formula is only valid for subsaturated environments. For supersaturations higher
+!--          than -5 %, the supersaturation is set to -5%.
              IF ( e_a / e_s >= 0.95_wp )  e_a = 0.95_wp * e_s
 
@@ -1850,10 +1803,10 @@
 !--             For details on this equation, see Eq. (14) of Khvorostyanov and
 !--             Curry (2007, JGR)
-                particles(n)%radius = bfactor**0.3333333_wp *                  &
-                   particles(n)%aux1 / ( 1.0_wp - e_a / e_s )**0.3333333_wp / &
-                   ( 1.0_wp + ( afactor / ( 3.0_wp * bfactor**0.3333333_wp *   &
-                     particles(n)%aux1 ) ) /                                  &
-                     ( 1.0_wp - e_a / e_s )**0.6666666_wp                      &
-                   )
+                particles(n)%radius = bfactor**0.3333333_wp *                                      &
+                                      particles(n)%aux1 / ( 1.0_wp - e_a / e_s )**0.3333333_wp /   &
+                                      ( 1.0_wp + ( afactor / ( 3.0_wp * bfactor**0.3333333_wp *    &
+                                        particles(n)%aux1 ) ) /                                    &
+                                       ( 1.0_wp - e_a / e_s )**0.6666666_wp                        &
+                                      )
 
              ENDDO
@@ -1869,18 +1822,17 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculates quantities required for considering the SGS velocity fluctuations
-!> in the particle transport by a stochastic approach. The respective
-!> quantities are: SGS-TKE gradients and horizontally averaged profiles of the
-!> SGS TKE and the resolved-scale velocity variances. 
-!------------------------------------------------------------------------------!
+!> Calculates quantities required for considering the SGS velocity fluctuations in the particle
+!> transport by a stochastic approach. The respective quantities are: SGS-TKE gradients and
+!> horizontally averaged profiles of the SGS TKE and the resolved-scale velocity variances.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_init_sgs_tke
 
-    USE exchange_horiz_mod,                                                    &
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
-    USE statistics,                                                            &
+    USE statistics,                                                                                &
         ONLY:  flow_statistics_called, hom, sums, sums_l
 
@@ -1888,5 +1840,5 @@
     INTEGER(iwp) ::  j      !< index variable along y
     INTEGER(iwp) ::  k      !< index variable along z
-    INTEGER(iwp) ::  m      !< running index for the surface elements 
+    INTEGER(iwp) ::  m      !< running index for the surface elements
 
     REAL(wp) ::  flag1      !< flag to mask topography
@@ -1898,22 +1850,20 @@
           DO  k = nzb, nzt+1
 
-             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 0 )  .AND.         &
-                        BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.         &
-                        BTEST( wall_flags_total_0(k,j,i+1), 0 ) )              &
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 0 )  .AND.                             &
+                        BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.                             &
+                        BTEST( wall_flags_total_0(k,j,i+1), 0 ) )                                  &
              THEN
-                de_dx(k,j,i) = 2.0_wp * sgs_wf_part *                          &
-                               ( e(k,j,i+1) - e(k,j,i) ) * ddx
-             ELSEIF ( BTEST( wall_flags_total_0(k,j,i-1), 0 )  .AND.           &
-                      BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.           &
-                .NOT. BTEST( wall_flags_total_0(k,j,i+1), 0 ) )                &
+                de_dx(k,j,i) = 2.0_wp * sgs_wf_part * ( e(k,j,i+1) - e(k,j,i) ) * ddx
+             ELSEIF ( BTEST( wall_flags_total_0(k,j,i-1), 0 )  .AND.                               &
+                      BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.                               &
+                .NOT. BTEST( wall_flags_total_0(k,j,i+1), 0 ) )                                    &
              THEN
-                de_dx(k,j,i) = 2.0_wp * sgs_wf_part *                          &
-                               ( e(k,j,i) - e(k,j,i-1) ) * ddx
-             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 22   )  .AND.    &
-                      .NOT. BTEST( wall_flags_total_0(k,j,i+1), 22 ) )         &   
+                de_dx(k,j,i) = 2.0_wp * sgs_wf_part * ( e(k,j,i) - e(k,j,i-1) ) * ddx
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 22   )  .AND.                        &
+                      .NOT. BTEST( wall_flags_total_0(k,j,i+1), 22 ) )                             &
              THEN
                 de_dx(k,j,i) = 0.0_wp
-             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 22 )  .AND.    &
-                      .NOT. BTEST( wall_flags_total_0(k,j,i), 22   ) )         &
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 22 )  .AND.                        &
+                      .NOT. BTEST( wall_flags_total_0(k,j,i), 22   ) )                             &
              THEN
                 de_dx(k,j,i) = 0.0_wp
@@ -1922,22 +1872,20 @@
              ENDIF
 
-             IF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 0 )  .AND.         &
-                        BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.         &
-                        BTEST( wall_flags_total_0(k,j+1,i), 0 ) )              &
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 0 )  .AND.                             &
+                        BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.                             &
+                        BTEST( wall_flags_total_0(k,j+1,i), 0 ) )                                  &
              THEN
-                de_dy(k,j,i) = 2.0_wp * sgs_wf_part *                          &
-                               ( e(k,j+1,i) - e(k,j,i) ) * ddy
-             ELSEIF ( BTEST( wall_flags_total_0(k,j-1,i), 0 )  .AND.           &
-                      BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.           &
-                .NOT. BTEST( wall_flags_total_0(k,j+1,i), 0 ) )                &
+                de_dy(k,j,i) = 2.0_wp * sgs_wf_part * ( e(k,j+1,i) - e(k,j,i) ) * ddy
+             ELSEIF ( BTEST( wall_flags_total_0(k,j-1,i), 0 )  .AND.                               &
+                      BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.                               &
+                .NOT. BTEST( wall_flags_total_0(k,j+1,i), 0 ) )                                    &
              THEN
-                de_dy(k,j,i) = 2.0_wp * sgs_wf_part *                          &
-                               ( e(k,j,i) - e(k,j-1,i) ) * ddy
-             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 22   )  .AND.    &
-                      .NOT. BTEST( wall_flags_total_0(k,j+1,i), 22 ) )         &   
+                de_dy(k,j,i) = 2.0_wp * sgs_wf_part * ( e(k,j,i) - e(k,j-1,i) ) * ddy
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 22   )  .AND.                        &
+                      .NOT. BTEST( wall_flags_total_0(k,j+1,i), 22 ) )                             &
              THEN
                 de_dy(k,j,i) = 0.0_wp
-             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 22 )  .AND.    &
-                      .NOT. BTEST( wall_flags_total_0(k,j,i), 22   ) )         &
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 22 )  .AND.                        &
+                      .NOT. BTEST( wall_flags_total_0(k,j,i), 22   ) )                             &
              THEN
                 de_dy(k,j,i) = 0.0_wp
@@ -1959,7 +1907,6 @@
              flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0  ) )
 
-             de_dz(k,j,i) = 2.0_wp * sgs_wf_part *                             &
-                           ( e(k+1,j,i) - e(k-1,j,i) ) / ( zu(k+1) - zu(k-1) ) &
-                                                 * flag1 
+             de_dz(k,j,i) = 2.0_wp * sgs_wf_part *                                                 &
+                           ( e(k+1,j,i) - e(k-1,j,i) ) / ( zu(k+1) - zu(k-1) ) * flag1
           ENDDO
 !
@@ -1967,6 +1914,5 @@
           DO  m = bc_h(0)%start_index(j,i), bc_h(0)%end_index(j,i)
              k            = bc_h(0)%k(m)
-             de_dz(k,j,i) = 2.0_wp * sgs_wf_part *                             &
-                           ( e(k+1,j,i) - e(k,j,i)   ) / ( zu(k+1) - zu(k) )
+             de_dz(k,j,i) = 2.0_wp * sgs_wf_part * ( e(k+1,j,i) - e(k,j,i) ) / ( zu(k+1) - zu(k) )
           ENDDO
 !
@@ -1974,6 +1920,5 @@
           DO  m = bc_h(1)%start_index(j,i), bc_h(1)%end_index(j,i)
              k            = bc_h(1)%k(m)
-             de_dz(k,j,i) = 2.0_wp * sgs_wf_part *                             &
-                           ( e(k,j,i) - e(k-1,j,i)   ) / ( zu(k) - zu(k-1) )
+             de_dz(k,j,i) = 2.0_wp * sgs_wf_part * ( e(k,j,i) - e(k-1,j,i) ) / ( zu(k) - zu(k-1) )
           ENDDO
 
@@ -1990,38 +1935,35 @@
     CALL exchange_horiz( diss, nbgp  )
 !
-!-- Set boundary conditions at non-periodic boundaries. Note, at non-period
-!-- boundaries zero-gradient boundary conditions are set for the subgrid TKE.
-!-- Thus, TKE gradients normal to the respective lateral boundaries are zero, 
-!-- while tangetial TKE gradients then must be the same as within the prognostic
-!-- domain.  
+!-- Set boundary conditions at non-periodic boundaries. Note, at non-period boundaries zero-gradient
+!-- boundary conditions are set for the subgrid TKE.
+!-- Thus, TKE gradients normal to the respective lateral boundaries are zero,
+!-- while tangetial TKE gradients then must be the same as within the prognostic domain.
     IF ( bc_dirichlet_l )  THEN
        de_dx(:,:,-1) = 0.0_wp
-       de_dy(:,:,-1) = de_dy(:,:,0) 
+       de_dy(:,:,-1) = de_dy(:,:,0)
        de_dz(:,:,-1) = de_dz(:,:,0)
     ENDIF
     IF ( bc_dirichlet_r )  THEN
        de_dx(:,:,nxr+1) = 0.0_wp
-       de_dy(:,:,nxr+1) = de_dy(:,:,nxr) 
+       de_dy(:,:,nxr+1) = de_dy(:,:,nxr)
        de_dz(:,:,nxr+1) = de_dz(:,:,nxr)
     ENDIF
     IF ( bc_dirichlet_n )  THEN
        de_dx(:,nyn+1,:) = de_dx(:,nyn,:)
-       de_dy(:,nyn+1,:) = 0.0_wp 
+       de_dy(:,nyn+1,:) = 0.0_wp
        de_dz(:,nyn+1,:) = de_dz(:,nyn,:)
     ENDIF
     IF ( bc_dirichlet_s )  THEN
        de_dx(:,nys-1,:) = de_dx(:,nys,:)
-       de_dy(:,nys-1,:) = 0.0_wp 
+       de_dy(:,nys-1,:) = 0.0_wp
        de_dz(:,nys-1,:) = de_dz(:,nys,:)
-    ENDIF  
-!
-!-- Calculate the horizontally averaged profiles of SGS TKE and resolved
-!-- velocity variances (they may have been already calculated in routine
-!-- flow_statistics).
+    ENDIF
+!
+!-- Calculate the horizontally averaged profiles of SGS TKE and resolved velocity variances (they
+!-- may have been already calculated in routine flow_statistics).
     IF ( .NOT. flow_statistics_called )  THEN
 
 !
-!--    First calculate horizontally averaged profiles of the horizontal
-!--    velocities.
+!--    First calculate horizontally averaged profiles of the horizontal velocities.
        sums_l(:,1,0) = 0.0_wp
        sums_l(:,2,0) = 0.0_wp
@@ -2044,9 +1986,9 @@
 !--    Compute total sum from local sums
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,1,0), sums(nzb,1), nzt+2-nzb, &
-                           MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,1,0), sums(nzb,1), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,     &
+                           ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,2,0), sums(nzb,2), nzt+2-nzb, &
-                              MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,2,0), sums(nzb,2), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,     &
+                           ierr )
 #else
        sums(:,1) = sums_l(:,1,0)
@@ -2055,12 +1997,11 @@
 
 !
-!--    Final values are obtained by division by the total number of grid
-!--    points used for the summation.
+!--    Final values are obtained by division by the total number of grid points used for the
+!--    summation.
        hom(:,1,1,0) = sums(:,1) / ngp_2dh_outer(:,0)   ! u
        hom(:,1,2,0) = sums(:,2) / ngp_2dh_outer(:,0)   ! v
 
 !
-!--    Now calculate the profiles of SGS TKE and the resolved-scale
-!--    velocity variances
+!--    Now calculate the profiles of SGS TKE and the resolved-scale velocity variances
        sums_l(:,8,0)  = 0.0_wp
        sums_l(:,30,0) = 0.0_wp
@@ -2086,15 +2027,15 @@
 !--    Compute total sum from local sums
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,8,0), sums(nzb,8), nzt+2-nzb, &
-                           MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,8,0), sums(nzb,8), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,     &
+                           ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,30,0), sums(nzb,30), nzt+2-nzb, &
-                           MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,30,0), sums(nzb,30), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,   &
+                           ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,31,0), sums(nzb,31), nzt+2-nzb, &
-                           MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,31,0), sums(nzb,31), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,   &
+                           ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,32,0), sums(nzb,32), nzt+2-nzb, &
-                           MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,32,0), sums(nzb,32), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,   &
+                           ierr )
 
 #else
@@ -2106,9 +2047,9 @@
 
 !
-!--    Final values are obtained by division by the total number of grid
-!--    points used for the summation.
+!--    Final values are obtained by division by the total number of grid points used for the
+!--    summation.
        hom(:,1,8,0)  = sums(:,8)  / ngp_2dh_outer(:,0)   ! e
        hom(:,1,30,0) = sums(:,30) / ngp_2dh_outer(:,0)   ! u*2
-       hom(:,1,31,0) = sums(:,31) / ngp_2dh_outer(:,0)   ! v*2 
+       hom(:,1,31,0) = sums(:,31) / ngp_2dh_outer(:,0)   ! v*2
        hom(:,1,32,0) = sums(:,32) / ngp_2dh_outer(:,0)   ! w*2
 
@@ -2116,14 +2057,14 @@
 
  END SUBROUTINE lpm_init_sgs_tke
- 
- 
-!------------------------------------------------------------------------------!
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Sobroutine control lpm actions, i.e. all actions during one time step. 
-!------------------------------------------------------------------------------!  
+!> Sobroutine control lpm actions, i.e. all actions during one time step.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_actions( location )
 
-    USE exchange_horiz_mod,                                                    &
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
@@ -2152,5 +2093,5 @@
 !--       The particle model is executed if particle advection start is reached and only at the end
 !--       of the intermediate time step loop.
-          IF ( time_since_reference_point >= particle_advection_start   &
+          IF ( time_since_reference_point >= particle_advection_start                              &
                .AND.  intermediate_timestep_count == intermediate_timestep_count_max )             &
           THEN
@@ -2158,7 +2099,7 @@
 !
 !--          Write particle data at current time on file.
-!--          This has to be done here, before particles are further processed,
-!--          because they may be deleted within this timestep (in case that
-!--          dt_write_particle_data = dt_prel = particle_maximum_age).
+!--          This has to be done here, before particles are further processed, because they may be
+!--          deleted within this timestep (in case that dt_write_particle_data = dt_prel =
+!--          particle_maximum_age).
              time_write_particle_data = time_write_particle_data + dt_3d
              IF ( time_write_particle_data >= dt_write_particle_data )  THEN
@@ -2166,20 +2107,17 @@
                 CALL lpm_data_output_particles
 !
-!--          The MOD function allows for changes in the output interval with restart
-!--          runs.
-                time_write_particle_data = MOD( time_write_particle_data, &
+!--          The MOD function allows for changes in the output interval with restart runs.
+                time_write_particle_data = MOD( time_write_particle_data,                          &
                                            MAX( dt_write_particle_data, dt_3d ) )
              ENDIF
 
 !
-!--          Initialize arrays for marking those particles to be deleted after the
-!--          (sub-) timestep
+!--          Initialize arrays for marking those particles to be deleted after the (sub-) timestep.
              deleted_particles = 0
 
 !
-!--          Initialize variables used for accumulating the number of particles
-!--          xchanged between the subdomains during all sub-timesteps (if sgs
-!--          velocities are included). These data are output further below on the
-!--          particle statistics file.
+!--          Initialize variables used for accumulating the number of particles exchanged between
+!--          the subdomains during all sub-timesteps (if sgs velocities are included). These data
+!--          are output further below on the particle statistics file.
              trlp_count_sum      = 0
              trlp_count_recv_sum = 0
@@ -2195,18 +2133,17 @@
              DO  m = 1, number_of_particle_groups
                 IF ( particle_groups(m)%density_ratio /= 0.0_wp )  THEN
-                   particle_groups(m)%exp_arg  =                                        &
-                             4.5_wp * particle_groups(m)%density_ratio *                &
-                             molecular_viscosity / ( particle_groups(m)%radius )**2
-
-                   particle_groups(m)%exp_term = EXP( -particle_groups(m)%exp_arg *     &
-                             dt_3d )
+                   particle_groups(m)%exp_arg  = 4.5_wp * particle_groups(m)%density_ratio *       &
+                                                 molecular_viscosity /                             &
+                                                 ( particle_groups(m)%radius )**2
+
+                   particle_groups(m)%exp_term = EXP( -particle_groups(m)%exp_arg * dt_3d )
                 ENDIF
              ENDDO
 !
 !--          If necessary, release new set of particles
-             IF ( ( simulated_time - last_particle_release_time ) >= dt_prel  .AND.     &
+             IF ( ( simulated_time - last_particle_release_time ) >= dt_prel  .AND.                &
                     end_time_prel > simulated_time )  THEN
                 DO WHILE ( ( simulated_time - last_particle_release_time ) >= dt_prel )
-                   CALL lpm_create_particle( PHASE_RELEASE )
+                   CALL lpm_create_particle( phase_release )
                    last_particle_release_time = last_particle_release_time + dt_prel
                 ENDDO
@@ -2224,12 +2161,11 @@
 !
 !--          Timestep loop for particle advection.
-!--          This loop has to be repeated until the advection time of every particle
-!--          (within the total domain!) has reached the LES timestep (dt_3d).
-!--          In case of including the SGS velocities, the particle timestep may be
-!--          smaller than the LES timestep (because of the Lagrangian timescale
-!--          restriction) and particles may require to undergo several particle
-!--          timesteps, before the LES timestep is reached. Because the number of these
-!--          particle timesteps to be carried out is unknown at first, these steps are
-!--          carried out in the following infinite loop with exit condition.
+!--          This loop has to be repeated until the advection time of every particle (within the
+!--          total domain!) has reached the LES timestep (dt_3d).
+!--          In case of including the SGS velocities, the particle timestep may be smaller than the
+!--          LES timestep (because of the Lagrangian timescale restriction) and particles may
+!--          require to undergo several particle timesteps, before the LES timestep is reached.
+!--          Because the number of these particle timesteps to be carried out is unknown at first,
+!--          these steps are carried out in the following infinite loop with exit condition.
              DO
                 CALL cpu_log( log_point_s(44), 'lpm_advec', 'start' )
@@ -2237,19 +2173,17 @@
 
 !
-!--             If particle advection includes SGS velocity components, calculate the
-!--             required SGS quantities (i.e. gradients of the TKE, as well as
-!--             horizontally averaged profiles of the SGS TKE and the resolved-scale
-!--             velocity variances)
+!--             If particle advection includes SGS velocity components, calculate the required SGS
+!--             quantities (i.e. gradients of the TKE, as well as horizontally averaged profiles of
+!--             the SGS TKE and the resolved-scale velocity variances)
                 IF ( use_sgs_for_particles  .AND.  .NOT. cloud_droplets )  THEN
                    CALL lpm_init_sgs_tke
                 ENDIF
 !
-!--             In case SGS-particle speed is considered, particles may carry out
-!--             several particle timesteps. In order to prevent unnecessary
-!--             treatment of particles that already reached the final time level,
-!--             particles are sorted into contiguous blocks of finished and
-!--             not-finished particles, in addition to their already sorting
+!--             In case SGS-particle speed is considered, particles may carry out several particle
+!--             timesteps. In order to prevent unnecessary treatment of particles that already
+!--             reached the final time level, particles are sorted into contiguous blocks of
+!--             finished and not-finished particles, in addition to their already sorting
 !--             according to their sub-boxes.
-                IF ( .NOT. first_loop_stride  .AND.  use_sgs_for_particles )            &
+                IF ( .NOT. first_loop_stride  .AND.  use_sgs_for_particles )                       &
                    CALL lpm_sort_timeloop_done
                 DO  i = nxl, nxr
@@ -2276,12 +2210,11 @@
                          particles(1:number_of_particles)%particle_mask = .TRUE.
 !
-!--                      Initialize the variable storing the total time that a particle
-!--                      has advanced within the timestep procedure
+!--                      Initialize the variable storing the total time that a particle has advanced
+!--                      within the timestep procedure.
                          IF ( first_loop_stride )  THEN
                             particles(1:number_of_particles)%dt_sum = 0.0_wp
                          ENDIF
 !
-!--                      Particle (droplet) growth by condensation/evaporation and
-!--                      collision
+!--                      Particle (droplet) growth by condensation/evaporation and collision
                          IF ( cloud_droplets  .AND.  first_loop_stride)  THEN
 !
@@ -2296,8 +2229,7 @@
                          ENDIF
 !
-!--                      Initialize the switch used for the loop exit condition checked
-!--                      at the end of this loop. If at least one particle has failed to
-!--                      reach the LES timestep, this switch will be set false in
-!--                      lpm_advec.
+!--                      Initialize the switch used for the loop exit condition checked at the end
+!--                      of this loop. If at least one particle has failed to reach the LES
+!--                      timestep, this switch will be set false in lpm_advec.
                          dt_3d_reached_l = .TRUE.
 
@@ -2306,26 +2238,24 @@
                          CALL lpm_advec( i, j, k )
 !
-!--                      Particle reflection from walls. Only applied if the particles
-!--                      are in the vertical range of the topography. (Here, some
-!--                      optimization is still possible.)
+!--                      Particle reflection from walls. Only applied if the particles are in the
+!--                      vertical range of the topography. (Here, some optimization is still
+!--                      possible.)
                          IF ( topography /= 'flat'  .AND.  k < nzb_max + 2 )  THEN
                             CALL  lpm_boundary_conds( 'walls', i, j, k )
                          ENDIF
 !
-!--                      User-defined actions after the calculation of the new particle
-!--                      position
+!--                      User-defined actions after the calculation of the new particle position
                          CALL user_lpm_advec( i, j, k )
 !
-!--                      Apply boundary conditions to those particles that have crossed
-!--                      the top or bottom boundary and delete those particles, which are
-!--                      older than allowed
+!--                      Apply boundary conditions to those particles that have crossed the top or
+!--                      bottom boundary and delete those particles, which are older than allowed
                          CALL lpm_boundary_conds( 'bottom/top', i, j, k )
 !
-!---                     If not all particles of the actual grid cell have reached the
-!--                      LES timestep, this cell has to do another loop iteration. Due to
-!--                      the fact that particles can move into neighboring grid cells,
-!--                      these neighbor cells also have to perform another loop iteration.
-!--                      Please note, this realization does not work properly if
-!--                      particles move into another subdomain.
+!---                     If not all particles of the actual grid cell have reached the LES timestep,
+!--                      this cell has to do another loop iteration. Due to the fact that particles
+!--                      can move into neighboring grid cells, these neighbor cells also have to
+!--                      perform another loop iteration.
+!--                      Please note, this realization does not work properly if particles move into
+!--                      another subdomain.
                          IF ( .NOT. dt_3d_reached_l )  THEN
                             ks = MAX(nzb+1,k-1)
@@ -2350,10 +2280,10 @@
                 dt_3d_reached_l = ALL(grid_particles(:,:,:)%time_loop_done)
 !
-!--             Find out, if all particles on every PE have completed the LES timestep
-!--             and set the switch corespondingly
+!--             Find out, if all particles on every PE have completed the LES timestep and set the
+!--             switch corespondingly
 #if defined( __parallel )
                 IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-                CALL MPI_ALLREDUCE( dt_3d_reached_l, dt_3d_reached, 1, MPI_LOGICAL, &
-                                    MPI_LAND, comm2d, ierr )
+                CALL MPI_ALLREDUCE( dt_3d_reached_l, dt_3d_reached, 1, MPI_LOGICAL, MPI_LAND,      &
+                                    comm2d, ierr )
 #else
                 dt_3d_reached = dt_3d_reached_l
@@ -2382,10 +2312,10 @@
                 IF ( .NOT. dt_3d_reached  .OR.  .NOT. nested_run )   THEN
 !
-!--                Pack particles (eliminate those marked for deletion),
-!--                determine new number of particles
+!--                Pack particles (eliminate those marked for deletion), determine new number of
+!--                particles
                    CALL lpm_sort_and_delete
 
-!--                Initialize variables for the next (sub-) timestep, i.e., for marking
-!--                those particles to be deleted after the timestep
+!--                Initialize variables for the next (sub-) timestep, i.e., for marking those
+!--                particles to be deleted after the timestep
                    deleted_particles = 0
                 ENDIF
@@ -2398,5 +2328,5 @@
 #if defined( __parallel )
 !
-!--          in case of nested runs do the transfer of particles after every full model time step
+!--          In case of nested runs do the transfer of particles after every full model time step
              IF ( nested_run )   THEN
                 CALL particles_from_parent_to_child
@@ -2433,10 +2363,9 @@
 
 !
-!--          Write particle statistics (in particular the number of particles
-!--          exchanged between the subdomains) on file
+!--          Write particle statistics (in particular the number of particles exchanged between the
+!--          subdomains) on file
              IF ( write_particle_statistics )  CALL lpm_write_exchange_statistics
 !
-!--          Execute Interactions of condnesation and evaporation to humidity and
-!--          temperature field
+!--          Execute Interactions of condnesation and evaporation to humidity and temperature field
              IF ( cloud_droplets )  THEN
                 CALL lpm_interaction_droplets_ptq
